package com.sw.mes.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.production.entity.TruncationReccutDetails;

import java.util.Map;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface TruncationReccutDetailsService extends BaseService<TruncationReccutDetails> {
    void deleteByReccutId(Long reccutId);

    /**
     * 根据回收料编号查询长晶棒编号
     *
     * @param sectionNo
     * @return
     */
    String findCrystalNoBySectionNo(String sectionNo);

    Map<String, Object> findBySectionNo(String no);
}
